Bug 59113 - C++ segmentation fault when linking library
C++ segmentation fault when linking library
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
7.2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-31 01:51 EST by Cesar Delgado
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:05:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cesar Delgado 2002-01-31 01:51:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020104

Description of problem:
/usr/include/g++-3/std/bastring.cc:32:   instantiated from `basic_string<charT,
traits, Allocator>::Rep::clone () [with charT = char, traits =
string_char_traits<char>, Allocator = __default_alloc_template<true, 0>]'
/usr/include/g++-3/std/bastring.h:75:   instantiated from `basic_string<charT,
traits, Allocator>::Rep::grab () [with charT = char, traits =
string_char_traits<char>, Allocator = __default_alloc_template<true, 0>]'
typer.cpp:176:   instantiated from here
/usr/include/g++-3/stl_alloc.h:554: Internal error: Segmentation fault.

Version-Release number of selected component (if applicable):
gcc-g++ 2.96

How reproducible:
Sometimes

Steps to Reproduce:
1.get ghemical
2.run ./configure
3.run make
	

Additional info:
Comment 1 Richard Henderson 2004-10-02 15:05:32 EDT
Well, the ghemical download page has binaries for rh8, so I assume that
gcc 3.2 doesn't have this problem.  It hasn't been updated for gtk2
though, so I can't build vs current releases.

Note You need to log in before you can comment on or make changes to this bug.